# QInputEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QEvent.

### Constructor

- void QInputEvent(Type type, KeyboardModifiers modifiers)

### Constructor Properties

- prototype: The QInputEvent prototype object

### Prototype Object Properties

The QInputEvent prototype object inherits properties from the QEvent prototype object and also has the following properties.

- KeyboardModifiers modifiers()
- void setModifiers(KeyboardModifiers amodifiers)

### Instance Properties

QInputEvent objects have no special properties beyond those inherited from the QInputEvent prototype object.